import { useMemo } from 'react';

import { useTranslation } from 'react-i18next';

function useLanguageName(currentLanguage: string) {
  return useMemo(() => {
    return new Intl.DisplayNames([currentLanguage], {
      type: 'language',
    });
  }, [currentLanguage]);
}

export function useCurrentLocaleLanguageNames() {
  const { i18n } = useTranslation();
  const { language: currentLanguage } = i18n;
  return useLanguageName(currentLanguage);
}
